Subject: Re: swi jpl character coding

From: Guido Dunker <[email-masked]>
Date: Sat, 09 Dec 2000 18:27:58 +0100

Hi Fred,

i'm using atoms. I did see the NewStringUTF calls in your code. So
i will generate some debug byte output to see what's the case. Thank
you so far.

Gruesse Guido

Fred Dushin schrieb:

> > Hi,
> >
> > i use jpl-1.0.1 together with 3.4.2. In my Prolog Demo i use some
> > german "Umlaute" like ÄÖÜöäüß.
> > All these characters are mapped to ASCII 128 on the Java side.
> >
> > What can i do?
>
> Are you using umlautes in atoms or strings?  And I assume this is in
> your Prolog code, yes?
>
> Converting from Prolog to Java, a char array is obtained from
> the FLI PL_get_atom_chars function, which returns char *, which in turn
> is converted to a Java String using NewStringUTF.
>
> I guess I see two opportunities for things to go awry; either the
> PL_get_atom_chars is just returning the high order byte of the umluate
> char, or the NewStringUTF is not respecting the UTF encoding.
>
> Jan, how are atoms encoded in the prolog vm?  As UTF?
>
> --
> Fred Dushin <[email-masked]>
>
> vi rulse!^H^H^Hes!
> `:wq
>
> ----------------
> * To UNSUBSCRIBE, please use the HTML form at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
>
> or send mail to [email-masked] using the Subject: "unsubscribe"
> (without the quotes) and *no* message body.
>
> ** An ARCHIVE of this list is maintained at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/